Bug 257026 - [exp-run] Multiple ports
Summary: [exp-run] Multiple ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Port Management Team
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2021-07-06 20:19 UTC by Po-Chuan Hsieh
Modified: 2021-07-21 18:24 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback? (sunpoet)
sunpoet: exp-run?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Po-Chuan Hsieh freebsd_committer 2021-07-06 20:19:20 UTC
Patch: https://people.FreeBSD.org/~sunpoet/patch/exp-run.txt

Request exp-run for the following ports:
- devel/libfmt
- devel/protobuf
- devel/scons
- print/texinfo
- lang/python38
Comment 1 Antoine Brodin freebsd_committer 2021-07-06 20:46:37 UTC
autoconf fails to build which is a blocker
Comment 2 Po-Chuan Hsieh freebsd_committer 2021-07-14 16:08:19 UTC
Updated patch [1] for the following ports:
- devel/libfmt
- devel/protobuf
- print/texinfo
- lang/python38

[1] https://people.FreeBSD.org/~sunpoet/patch/exp-run-v2.txt
Comment 4 commit-hook freebsd_committer 2021-07-18 22:08:45 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d6339e05a591c2d3fd74dc2c305f7dc9aeb31193

commit d6339e05a591c2d3fd74dc2c305f7dc9aeb31193
Author:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
AuthorDate: 2021-07-18 21:44:40 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2021-07-18 22:07:07 +0000

    lang/python38: Update to 3.8.11

    Changes:        https://docs.python.org/release/3.8.11/whatsnew/changelog.html
    PR:             257026
    Exp-run by:     antoine

 lang/python38/Makefile.version | 2 +-
 lang/python38/distinfo         | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 5 commit-hook freebsd_committer 2021-07-18 22:08:46 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a53e6655e337191bd7f92fa070ab979025132063

commit a53e6655e337191bd7f92fa070ab979025132063
Author:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
AuthorDate: 2021-07-18 21:43:56 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2021-07-18 22:07:02 +0000

    print/texinfo: Update to 6.8

    Changes:        https://git.savannah.gnu.org/cgit/texinfo.git/plain/NEWS
                    https://lists.gnu.org/archive/html/bug-texinfo/2021-07/msg00011.html
    PR:             257026
    Exp-run by:     antoine

 devel/autoconf/files/patch-texinfo (new)                | 12 ++++++++++++
 misc/latex-mk/files/patch-texinfo (new)                 | 10 ++++++++++
 print/texinfo/Makefile                                  |  3 +--
 print/texinfo/distinfo                                  |  6 +++---
 .../patch-tp-Texinfo-XS-parsetexi-Parser-5556.pm (gone) | 17 -----------------
 print/texinfo/files/patch-tp-Texinfo-XS-parsetexi-api.c |  4 ++--
 .../files/patch-tp-Texinfo-XS-parsetexi-errors.c (gone) | 12 ------------
 print/texinfo/pkg-plist                                 |  5 +++++
 textproc/iksemel/files/patch-texinfo (new)              | 10 ++++++++++
 9 files changed, 43 insertions(+), 36 deletions(-)
Comment 6 commit-hook freebsd_committer 2021-07-21 18:16:00 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f4acead6367a692af17431cc233565e8f1149366

commit f4acead6367a692af17431cc233565e8f1149366
Author:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
AuthorDate: 2021-07-21 17:17:32 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2021-07-21 18:11:52 +0000

    devel/protobuf: Update to 3.17.3

    - Bump PORTREVISION of dependent ports for shlib change

    Changes:        https://github.com/protocolbuffers/protobuf/releases
    PR:             257026
    Exp-run by:     antoine

 astro/kosmindoormap/Makefile                |  1 +
 astro/libosmpbf/Makefile                    |  2 +-
 astro/merkaartor/Makefile                   |  2 +-
 audio/clementine-player/Makefile            |  2 +-
 audio/mixxx/Makefile                        |  1 +
 audio/mumble/Makefile                       |  2 +-
 audio/murmur/Makefile                       |  2 +-
 audio/strawberry/Makefile                   |  1 +
 cad/cura-engine/Makefile                    |  2 +-
 databases/arrow/Makefile                    |  2 +-
 databases/mysql57-client/Makefile           |  2 +-
 databases/mysql57-server/Makefile           |  2 +-
 databases/mysql80-client/Makefile           |  1 +
 databases/mysql80-server/Makefile           |  2 +-
 devel/bear/Makefile                         |  2 +-
 devel/bloaty/Makefile                       |  2 +-
 devel/google-cloud-cpp/Makefile             |  2 +-
 devel/google-cloud-cpp117/Makefile          |  1 +
 devel/grpc/Makefile                         |  2 +-
 devel/grpc134/Makefile                      |  2 +-
 devel/ignition-msgs/Makefile                |  2 +-
 devel/kpublictransport/Makefile             |  1 +
 devel/libphonenumber/Makefile               |  1 +
 devel/protobuf-c/Makefile                   |  2 +-
 devel/protobuf/Makefile                     |  2 +-
 devel/protobuf/distinfo                     |  6 +++---
 devel/protobuf/files/patch-configure (gone) | 11 -----------
 devel/protobuf/pkg-plist                    | 17 +++++++++++------
 dns/knot-resolver/Makefile                  |  1 +
 games/cockatrice/Makefile                   |  1 +
 games/pink-pony/Makefile                    |  2 +-
 games/pokerth/Makefile                      |  2 +-
 graphics/opencv/Makefile                    |  2 +-
 graphics/osgearth/Makefile                  |  2 +-
 graphics/qgis-ltr/Makefile                  |  2 +-
 graphics/qgis/Makefile                      |  2 +-
 graphics/qtpbfimageplugin/Makefile          |  2 +-
 japanese/mozc-server/Makefile               |  2 +-
 mail/astroid/Makefile                       |  2 +-
 math/or-tools/Makefile                      |  2 +-
 math/py-or-tools/Makefile                   |  1 +
 misc/glow/Makefile                          |  2 +-
 misc/mnn/Makefile                           |  1 +
 misc/py-onnx/Makefile                       |  1 +
 multimedia/libopenshot/Makefile             |  1 +
 multimedia/vlc/Makefile                     |  1 +
 net-im/ricochet/Makefile                    |  2 +-
 net-mgmt/collectd5/Makefile                 |  2 +-
 net-p2p/bitcoin/Makefile                    |  2 +-
 net-p2p/litecoin/Makefile                   |  2 +-
 net-p2p/namecoin/Makefile                   |  1 +
 net-p2p/qtum/Makefile                       |  1 +
 net-p2p/zetacoin/Makefile                   |  2 +-
 net/eternalterminal/Makefile                |  2 +-
 net/gamenetworkingsockets/Makefile          |  1 +
 net/libarcus/Makefile                       |  2 +-
 net/mosh/Makefile                           |  2 +-
 net/spoofer/Makefile                        |  2 +-
 science/py-chainer/Makefile                 |  1 +
 science/py-tensorflow/Makefile              |  2 +-
 sysutils/apache-mesos/Makefile              |  2 +-
 sysutils/zbackup/Makefile                   |  2 +-
 textproc/rubygem-cld3/Makefile              |  2 +-
 www/envoy/Makefile                          |  2 +-
 64 files changed, 75 insertions(+), 63 deletions(-)
Comment 7 commit-hook freebsd_committer 2021-07-21 18:16:03 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=287cd8ad71d23e31948296cb773d3ebaaed14641

commit 287cd8ad71d23e31948296cb773d3ebaaed14641
Author:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
AuthorDate: 2021-07-21 17:12:13 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2021-07-21 18:11:51 +0000

    devel/libfmt: Update to 8.0.0

    - Bump PORTREVISION of dependent ports for shlib change

    Changes:        https://github.com/fmtlib/fmt/releases
    PR:             257026
    Exp-run by:     antoine

 cad/openroad/Makefile                  | 1 +
 chinese/fcitx5-chinese-addons/Makefile | 1 +
 converters/osm2pgsql/Makefile          | 1 +
 databases/tiledb/Makefile              | 1 +
 devel/bear/Makefile                    | 1 +
 devel/fbthrift/Makefile                | 1 +
 devel/folly/Makefile                   | 1 +
 devel/libfmt/Makefile                  | 2 +-
 devel/libfmt/distinfo                  | 6 +++---
 devel/libfmt/pkg-plist                 | 5 +++--
 devel/spdlog/Makefile                  | 2 +-
 emulators/dolphin-emu/Makefile         | 2 +-
 games/0ad/Makefile                     | 2 +-
 graphics/openimageio/Makefile          | 2 +-
 math/libsemigroups/Makefile            | 2 +-
 misc/far2l/Makefile                    | 1 +
 multimedia/kodi/Makefile               | 2 +-
 net-im/nheko/Makefile                  | 2 +-
 net/arataga/Makefile                   | 1 +
 net/ceph14/Makefile                    | 1 +
 net/fb303/Makefile                     | 1 +
 net/fbzmq/Makefile                     | 1 +
 net/gerbera/Makefile                   | 1 +
 net/knxd/Makefile                      | 2 +-
 net/mvfst/Makefile                     | 1 +
 net/wangle/Makefile                    | 1 +
 science/qiskit-aer/Makefile            | 2 +-
 security/fizz/Makefile                 | 1 +
 security/openconnect-gui/Makefile      | 2 +-
 sysutils/lizardfs/Makefile             | 2 +-
 textproc/fcitx5/Makefile               | 2 +-
 www/envoy/Makefile                     | 2 +-
 www/proxygen/Makefile                  | 1 +
 x11/waybar/Makefile                    | 1 +
 34 files changed, 38 insertions(+), 19 deletions(-)
Comment 8 Po-Chuan Hsieh freebsd_committer 2021-07-21 18:24:36 UTC
Committed. Thanks!